Bug 375391 - cannot reproduce without doing new upgrade
cannot reproduce without doing new upgrade
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-10 22:37 EST by Jon Hamelin
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-15 19:57:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jon Hamelin 2007-11-10 22:37:22 EST
Description of problem:
system locked during upgrade

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
System: Linux #1 SMP Thu Sep 27 23:10:59 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Permissive
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout:
0 it_real_value: 0 frequency: 0

----------- .xsession-errors (11 sec old) ---------------------
  File "/usr/bin/puplet", line 427, in <module>
  File "/usr/bin/puplet", line 423, in main
    p = Puplet()
  File "/usr/bin/puplet", line 75, in __init__
    self.bus = dbus.SystemBus()
  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 201, in __new__
  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 107, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 121, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoServer: Failed to
connect to socket /var/run/dbus/system_bus_socket: Connection refused
system-config-printer-applet: failed to connect to system D-Bus
exception when creating syslog handler: (2, 'No such file or directory')
Comment 1 Toshio Ernie Kuratomi 2007-11-12 10:18:53 EST
This looks like a problem you're having when usin puplet to upgrade your system,
not when upgrading the python-fedora package in particular.  Reassigning to
pirut component.
Comment 2 Jeremy Katz 2007-11-12 11:32:53 EST
What were you updating?
Comment 3 Jon Hamelin 2007-11-14 12:54:16 EST
(In reply to comment #2)
> What were you updating?

I was doing a post install update. There were 32 updates to be installed. I 
think we have to kick this over to NetworkManager. I finally disabled 
NetworkManager, rebooted and the updates installed. Could not find any 
references to this error in any logs, so I had to go by trial and error. Sorry 
for the delay in replying.
Comment 4 Jeremy Katz 2007-11-15 19:57:58 EST
Hmm, okay.  I've added a little bit of error handling to hopefully catch this
case in the future, but without more of a reproducer, it's going to be hard to
say for certain.  Feel free to reopen if you hit again and have more information
to provide.

Note You need to log in before you can comment on or make changes to this bug.